package com.cim.idm.mwmsextend.checkplan.management.data;

import java.sql.Timestamp;

import com.cim.idm.framework.orm.info.DataInfo;
import com.cim.idm.framework.orm.info.access.FieldAccessor;

public class CheckPlan  extends FieldAccessor implements DataInfo<CheckPlanKey>{

	private CheckPlanKey key;
	private String sysLocation;
	private String planType;
	private String planTypeName;
	private String planCondition;
	private String checkMaterialType;
	private String checkPackingType;
	private String erpLocation;
	private String materialSpecName;
	private String boxState;
	private String moveFlag;
	private String checkPlanState;
	private double materialQuantity;
	private String lastAction;
	private String lastEventName;
	private String lastEventUser;
	private Timestamp lastEventTime;
	private String lastEventTimeKey;
	private String lastEventComment;
	public CheckPlanKey getKey() {
		return key;
	}
	public void setKey(CheckPlanKey key) {
		this.key = key;
	}
	public String getLastEventName() {
		return lastEventName;
	}
	public void setLastEventName(String lastEventName) {
		this.lastEventName = lastEventName;
	}
	public String getLastEventUser() {
		return lastEventUser;
	}
	public void setLastEventUser(String lastEventUser) {
		this.lastEventUser = lastEventUser;
	}
	public Timestamp getLastEventTime() {
		return lastEventTime;
	}
	public void setLastEventTime(Timestamp lastEventTime) {
		this.lastEventTime = lastEventTime;
	}
	public String getLastEventTimeKey() {
		return lastEventTimeKey;
	}
	public void setLastEventTimeKey(String lastEventTimeKey) {
		this.lastEventTimeKey = lastEventTimeKey;
	}
	public String getLastEventComment() {
		return lastEventComment;
	}
	public void setLastEventComment(String lastEventComment) {
		this.lastEventComment = lastEventComment;
	}
	public String getSysLocation() {
		return sysLocation;
	}
	public void setSysLocation(String sysLocation) {
		this.sysLocation = sysLocation;
	}
	public String getPlanType() {
		return planType;
	}
	public void setPlanType(String planType) {
		this.planType = planType;
	}
	public String getPlanTypeName() {
		return planTypeName;
	}
	public void setPlanTypeName(String planTypeName) {
		this.planTypeName = planTypeName;
	}
	public String getcheckMaterialType() {
		return checkMaterialType;
	}
	public void setcheckMaterialType(String checkMaterialType) {
		this.checkMaterialType = checkMaterialType;
	}
	public String getcheckPackingType() {
		return checkPackingType;
	}
	public void setcheckMPackingType(String checkPackingType) {
		this.checkPackingType = checkPackingType;
	}
	public String getPlanCondition() {
		return planCondition;
	}
	public void setPlanCondition(String planCondition) {
		this.planCondition = planCondition;
	}
	public String getErpLocation() {
		return erpLocation;
	}
	public void setErpLocation(String erpLocation) {
		this.erpLocation = erpLocation;
	}
	public String getMaterialSpecName() {
		return materialSpecName;
	}
	public void setMaterialSpecName(String materialSpecName) {
		this.materialSpecName = materialSpecName;
	}
	public String getBoxState() {
		return boxState;
	}
	public void setBoxState(String boxState) {
		this.boxState = boxState;
	}
	public String getMoveFlag() {
		return moveFlag;
	}
	public void setMoveFlag(String moveFlag) {
		this.moveFlag = moveFlag;
	}
	public String getCheckPlanState() {
		return checkPlanState;
	}
	public void setCheckPlanState(String checkPlanState) {
		this.checkPlanState = checkPlanState;
	}
	public double getMaterialQuantity() {
		return materialQuantity;
	}
	public void setMaterialQuantity(double materialQuantity) {
		this.materialQuantity = materialQuantity;
	}
	public String getLastAction() {
		return lastAction;
	}
	public void setLastAction(String lastAction) {
		this.lastAction = lastAction;
	}
}
